Update project stage
Update an existing project stage
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
projects
/
project-stages
/
{id}
Update project stage
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/projects/project-stages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "In Progress"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/project-stages/{id}"
payload = { "name": "In Progress" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'In Progress'})
};
fetch('https://erp.arukz.com/admin/api/v1/projects/project-stages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/project-stages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'In Progress'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "To Do",
"is_active": true,
"is_collapsed": false,
"sort": 1,
"company_id": null,
"creator_id": 1,
"created_at": "2025-04-07T13:13:48.000000Z",
"updated_at": "2025-04-07T13:13:48.000000Z",
"deleted_at": null
},
"message": "Project stage updated successfully."
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update project stage
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/projects/project-stages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "In Progress"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/project-stages/{id}"
payload = { "name": "In Progress" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'In Progress'})
};
fetch('https://erp.arukz.com/admin/api/v1/projects/project-stages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/project-stages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'In Progress'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "To Do",
"is_active": true,
"is_collapsed": false,
"sort": 1,
"company_id": null,
"creator_id": 1,
"created_at": "2025-04-07T13:13:48.000000Z",
"updated_at": "2025-04-07T13:13:48.000000Z",
"deleted_at": null
},
"message": "Project stage updated successfully."
}{
"message": "Unauthenticated."
}